@echo off
set /p firmware=Firmware version: 
mkdir %firmware%
cd bl
..\bin\tar --group=1 -H ustar -c aboot.mbn rpm.mbn sbl1.mbn sbl2.mbn sbl3.mbn sdi.mbn tz.mbn sboot.bin tz.img param.bin cm.bin > BL_%firmware%_BOOTLOADER.tar
..\bin\md5sum -t BL_%firmware%_BOOTLOADER.tar >> BL_%firmware%_BOOTLOADER.tar
..\bin\mv BL_%firmware%_BOOTLOADER.tar ../%firmware%/BL_%firmware%_BOOTLOADER.tar.md5
echo Bootloader done.
cd ../cp
..\bin\tar --group=1 -H ustar -c modem.bin modem_debug.bin NON-HLOS.bin > CP_%firmware%_MODEM.tar
..\bin\md5sum -t CP_%firmware%_MODEM.tar >> CP_%firmware%_MODEM.tar
..\bin\mv CP_%firmware%_MODEM.tar ../%firmware%/CP_%firmware%_MODEM.tar.md5
echo Modem done.
cd ../ap
..\bin\tar --group=1 -H ustar -c boot.img > AP_%firmware%_KERNEL.tar
..\bin\md5sum -t AP_%firmware%_KERNEL.tar >> AP_%firmware%_KERNEL.tar
..\bin\mv AP_%firmware%_KERNEL.tar ../%firmware%/AP_%firmware%_KERNEL.tar.md5
echo Kernel done.
..\bin\tar --group=1 -H ustar -c recovery.img > AP_%firmware%_RECOVERY.tar
..\bin\md5sum -t AP_%firmware%_RECOVERY.tar >> AP_%firmware%_RECOVERY.tar
..\bin\mv AP_%firmware%_RECOVERY.tar ../%firmware%/AP_%firmware%_RECOVERY.tar.md5
echo Recovery done.
pause